Package: org.codehaus.groovy.runtime.memoize

## [Java] Interface EvictableCache.Action<K, V, R>

-     @FunctionalInterface
      public interface EvictableCache.Action<K, V, R>

  Represents the action to deal with the cache

  Type Parameters:
    `K` - key type
    `V` - value type
    `R` - result type
  Since:
    3.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public R` | `doWith(EvictableCache<K, V> evictableCache)` Deal with the cache

- - ### Method Detail

    - #### public R doWith(EvictableCache<K, V> evictableCache)

      Deal with the cache

      Parameters:
        evictableCache